
From: Shaohua Li <shaohua.li@intel.com>

The below patch fixes a small error in -mm tree.  It makes the error
handling process correct, which is introduced by my previous suspend/resume
smp patch.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 kernel/power/disk.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN kernel/power/disk.c~suspend-resume-smp-support-fix kernel/power/disk.c
--- 25/kernel/power/disk.c~suspend-resume-smp-support-fix	2005-05-25 23:51:13.000000000 -0700
+++ 25-akpm/kernel/power/disk.c	2005-05-25 23:51:13.000000000 -0700
@@ -135,7 +135,7 @@ static int prepare_processes(void)
 
 	if (freeze_processes()) {
 		error = -EBUSY;
-		goto enable_cpu;
+		goto thaw;
 	}
 
 	if (pm_disk_mode == PM_DISK_PLATFORM) {
@@ -150,7 +150,6 @@ static int prepare_processes(void)
 	return 0;
 thaw:
 	thaw_processes();
-enable_cpu:
 	enable_nonboot_cpus();
 	pm_restore_console();
 	return error;
_
